package com.template.api;

import com.template.model.result.CommonResult;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@RequestMapping("/api/driver")
@Api(tags = {"DriverStockController"}, value = "驾驶舱")
public interface DriverStockControllerAPI {

    @RequestMapping(value = "/getClassTj")
    @ResponseBody
    public CommonResult getClassTj();

    @RequestMapping(value = "/getVisitorTj")
    @ResponseBody
    public CommonResult getVisitorTj();

    @RequestMapping(value = "/queryPageSmartWarning")
    @ResponseBody
    public CommonResult queryPageSmartWarning(int currentPage, int pageCount, String name, String state);

    @RequestMapping(value = "/getEnergyTj")
    @ResponseBody
    public CommonResult getEnergyTj();

    @RequestMapping(value = "/getEnergyTjAvg")
    @ResponseBody
    public CommonResult getEnergyTjAvg();

}
